Bug 684459 - [JBQA-4371] NPE in CoyoteAdapter.parseSessionCookiesId during installation
[JBQA-4371] NPE in CoyoteAdapter.parseSessionCookiesId during installation
Status: CLOSED WONTFIX
Product: RHQ Project
Classification: Other
Component: Installer (Show other bugs)
4.2
Unspecified Unspecified
medium Severity medium (vote)
: ---
: RHQ 4.3.0
Assigned To: RHQ Project Maintainer
Mike Foley
https://issues.jboss.org/browse/JBQA-...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-12 13:34 EST by Ondřej Žižka
Modified: 2013-09-12 17:53 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-12 17:53:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ondřej Žižka 2011-03-12 13:34:03 EST
JON 2.4.1

During installation process, server log is flooded with the following exceptions.
The installation process is finished while these still being logged.



2011-03-12 13:31:27,332 ERROR [org.apache.catalina.connector.CoyoteAdapter] An exception or error occurred in the container during the request processing
java.lang.NullPointerException
        at org.apache.catalina.connector.CoyoteAdapter.parseSessionCookiesId(CoyoteAdapter.java:507)
        at org.apache.catalina.connector.CoyoteAdapter.postParseRequest(CoyoteAdapter.java:449)
        at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:239)
        at org.apache.coyote.http11.Http11Processor.process(Http11Processor.java:844)
        at org.apache.coyote.http11.Http11Protocol$Http11ConnectionHandler.process(Http11Protocol.java:583)
        at org.apache.tomcat.util.net.JIoEndpoint$Worker.run(JIoEndpoint.java:447)
        at java.lang.Thread.run(Thread.java:662)
Comment 1 Ondřej Žižka 2011-03-12 13:38:48 EST
After clicking "Done! Click here to get started!" link, the error messages stopped being logged, so I guess it's some forgotten AJAX request checking whether the installation process has finished.
Comment 2 Ian Springer 2011-12-02 16:43:22 EST
This is a JBossWeb bug (https://issues.jboss.org/browse/JBWEB-188), which must be occurring after we undeploy rhq-installer.war from the root context and instead deploy rhq-portal.war to the root context.
Comment 3 Mike Foley 2011-12-02 16:48:16 EST
spotted a 2nd time by ips during JON CR5 qualification.  .ear is not fully deployed for a period of time.   setting priority to medium and target release to RHQ 4.3
Comment 4 Mike Foley 2011-12-22 14:20:58 EST
spotted in JON 2.4.2 pre-qualification.
Comment 5 Jay Shaughnessy 2013-09-12 17:53:31 EDT
I believe this is now moot with the recent changes to EAP6 and rhqctl based installation.

Note You need to log in before you can comment on or make changes to this bug.